> ## Documentation Index
> Fetch the complete documentation index at: https://docs.primeintellect.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Disks Availability



## OpenAPI

````yaml https://api.primeintellect.ai/openapi.json get /api/v1/availability/disks
openapi: 3.1.0
info:
  title: PI API
  version: 0.1.0
servers:
  - url: https://api.primeintellect.ai
security: []
paths:
  /api/v1/availability/disks:
    get:
      tags:
        - Availability
      summary: Get Disks Availability
      operationId: get_disks_availability_api_v1_availability_disks_get
      parameters:
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            description: Page number (1-indexed)
            default: 1
            title: Page
          description: Page number (1-indexed)
        - name: page_size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            description: Number of results per page
            default: 100
            title: Page Size
          description: Number of results per page
        - name: regions
          in: query
          required: false
          schema:
            anyOf:
              - type: array
                items:
                  $ref: '#/components/schemas/Regions'
              - type: 'null'
            description: List of regions to filter
            title: Regions
          description: List of regions to filter
        - name: data_center_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by data center ID
            title: Data Center Id
          description: Filter by data center ID
        - name: cloud_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Filter by cloud ID
            title: Cloud Id
          description: Filter by cloud ID
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DiskAvailabilityResponse'
        '401':
          description: Authorization failed
        '422':
          description: Invalid request data
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - HTTPBearer: []
components:
  schemas:
    Regions:
      type: string
      enum:
        - africa
        - asia_south
        - asia_northeast
        - australia
        - canada
        - eu_east
        - eu_north
        - eu_west
        - middle_east
        - south_america
        - united_states
      title: Regions
    DiskAvailabilityResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/DiskAvailability'
          type: array
          title: Items
          description: List of available disk configurations
        totalCount:
          type: integer
          title: Totalcount
          description: Total number of matching disk configurations
      type: object
      required:
        - items
        - totalCount
      title: DiskAvailabilityResponse
    ErrorResponse:
      properties:
        errors:
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
          title: Errors
      type: object
      required:
        - errors
      title: ErrorResponse
    DiskAvailability:
      properties:
        cloudId:
          anyOf:
            - type: string
            - type: 'null'
          title: Cloudid
          description: Cloud ID, used for provisioning
        provider:
          $ref: '#/components/schemas/ProviderTypeEnum'
          description: Provider's ID
        dataCenter:
          anyOf:
            - type: string
            - type: 'null'
          title: Datacenter
          description: Location of the data center housing the disk.
        country:
          anyOf:
            - type: string
            - type: 'null'
          title: Country
          description: Country where the data center is located.
        region:
          anyOf:
            - $ref: '#/components/schemas/Regions'
            - type: 'null'
          description: Region where the disk is located.
        spec:
          $ref: '#/components/schemas/CustomSpecValue'
          description: Configurable shared disk size in GB and price per GB per hour.
          default: {}
        stockStatus:
          type: string
          enum:
            - Available
            - Low
            - Medium
            - High
            - Unavailable
          title: Stockstatus
          description: Current stock availability status of disks.
          default: Available
        security:
          $ref: '#/components/schemas/SecurityType'
          description: >-
            Disk security classification (e.g., secure_cloud or
            community_cloud).
        isMultinode:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ismultinode
          description: Indicates if the disk can be used with multiple instances.
          default: true
      type: object
      required:
        - provider
        - security
      title: DiskAvailability
    ErrorDetail:
      properties:
        param:
          type: string
          title: Param
        details:
          type: string
          title: Details
      type: object
      required:
        - param
        - details
      title: ErrorDetail
    ProviderTypeEnum:
      type: string
      enum:
        - runpod
        - fluidstack
        - lambdalabs
        - hyperstack
        - oblivus
        - cudocompute
        - scaleway
        - tensordock
        - datacrunch
        - latitude
        - crusoecloud
        - massedcompute
        - akash
        - primeintellect
        - primecompute
        - dc_impala
        - dc_kudu
        - dc_roan
        - nebius
        - dc_eland
        - dc_wildebeest
        - vultr
        - dc_gnu
        - denvr
      title: ProviderTypeEnum
    CustomSpecValue:
      properties:
        minCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Mincount
          description: Minimum count for this specification.
          examples:
            - 2
        defaultCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Defaultcount
          description: Default count for the specification.
          examples:
            - 8
        maxCount:
          anyOf:
            - type: integer
            - type: 'null'
          title: Maxcount
          description: Maximum allowable count for this specification.
          examples:
            - 24
        pricePerUnit:
          anyOf:
            - type: number
            - type: 'null'
          title: Priceperunit
          description: Price per unit per hr.
          examples:
            - 0.005
        step:
          anyOf:
            - type: integer
            - type: 'null'
          title: Step
          description: >-
            Increment step for adjusting the count (e.g., increments by 1 or
            10).
          examples:
            - 2
        defaultIncludedInPrice:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Defaultincludedinprice
          description: Indicates if the default count is included in the base price.
          examples:
            - false
        additionalInfo:
          anyOf:
            - type: string
            - type: 'null'
          title: Additionalinfo
          description: Any additional information or notes regarding this specification.
          examples:
            - null
            - This price is charged even for stopped instance
      type: object
      title: CustomSpecValue
    SecurityType:
      type: string
      enum:
        - secure_cloud
        - community_cloud
      title: SecurityType
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````